Class SuggestBody
java.lang.Object
org.codelibs.fess.app.web.admin.suggest.SuggestForm
org.codelibs.fess.app.web.api.admin.suggest.SuggestBody
Represents the request body for suggest API operations.
This class extends
SuggestForm and adds fields for tracking
the number of total, document, and query words.-
Field Summary
FieldsModifier and TypeFieldDescriptionThe number of words from documents.The number of words from search queries.The total number of words in the suggest index. -
Constructor Summary
Constructors -
Method Summary
-
Field Details
-
totalWordsNum
The total number of words in the suggest index. -
documentWordsNum
The number of words from documents. -
queryWordsNum
The number of words from search queries.
-
-
Constructor Details
-
SuggestBody
public SuggestBody()Constructs a new suggest body.
-